Bug 811044 - ehci_hcd and xhci_hcd shouldn't be built into the kernel
ehci_hcd and xhci_hcd shouldn't be built into the kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 20:16 EDT by Nathan
Modified: 2012-09-05 09:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-05 09:42:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan 2012-04-09 20:16:08 EDT
Description of problem:
ehci_hcd and xhci_hcd are known to cause problems when suspending to ram. Therefore they shouldn't be built into the default kernel, but instead loaded as modules, allowing pm-suspend to suspend them before suspending to ram.

How reproducible:


Steps to Reproduce:
1.use the fedora kernel
2.suspend to ram
  
Actual results:
Crash

Expected results:
Suspend to ram

Additional info:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/522998
https://wiki.archlinux.org/index.php/Pm-utils#Black_screen_with_unblinking_cursor_when_trying_to_suspend
Comment 1 Dave Jones 2012-04-11 13:19:28 EDT
the real fix is going to be figuring out what needs to change in the usb drivers to correctly handle suspend/resume.

We can't make them modular without breaking things like usb serial console, and other usb devices that are needed in early boot.
Comment 2 Josh Boyer 2012-09-05 09:42:46 EDT
Closing this out per Dave's comment.  If you're seeing crashes or issues, please report those in separate bugs.

Note You need to log in before you can comment on or make changes to this bug.